Subject: Re: [PATCH v3 6/7] mm: make clear_huge_page cache clear only around the fault address

From: Andrea Arcangeli <[email-masked]>
Date: Thu, 16 Aug 2012 20:29:44 +0200

On Thu, Aug 16, 2012 at 07:43:56PM +0300, Kirill A. Shutemov wrote:
> Hm.. I think with static_key we can avoid cache overhead here. I'll try.

Could you elaborate on the static_key? Is it some sort of self
modifying code?

> Thanks, for review. Could you take a look at huge zero page patchset? ;)

I've noticed that too, nice :). I'm checking some detail on the
wrprotect fault behavior but I'll comment there.